Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCuller Class Reference

`#include <vtkCuller.h>`

Inheritance diagram for vtkCuller:

[legend]
Collaboration diagram for vtkCuller:

[legend]
List of all members.

## Detailed Description

a superclass for prop cullers

Date:
  2002/08/22 18:39:30

Revision:
  1.16

A culler has a cull method called by the vtkRenderer. The cull method is called before any rendering is performed, and it allows the culler to do some processing on the props and to modify their AllocatedRenderTime and re-order them in the prop list.

See also:
  vtkFrustumCoverageCuller

Created by:
  - Avila, Lisa
  - King, Brad

CVS contributions (if > 5%):
  - Avila, Lisa (51%)
  - King, Brad (25%)
  - Martin, Ken (9%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkCuller.cxx)`
  - .`h` (`/Rendering/vtkCuller.h)`

Definition at line 53 of file vtkCuller.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual float | Cull (vtkRenderer *ren, vtkProp **propList, int &listLength, int &initialized)=0
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCuller * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCuller ()
| ~vtkCuller ()

## Member Typedef Documentation

typedef vtkObject vtkCuller::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller. Definition at line 56 of file vtkCuller.h.

## Constructor & Destructor Documentation

vtkCuller::vtkCuller | ( |  | ) | `[protected]`

vtkCuller::~vtkCuller | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkCuller::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller.

int vtkCuller::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller.

virtual int vtkCuller::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller.

vtkCuller* vtkCuller::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller.

virtual void vtkCuller::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkFrustumCoverageCuller.

virtual float vtkCuller::Cull | ( | vtkRenderer * | ren,
|  | vtkProp ** | propList,
|  | int & | listLength,
|  | int & | initialized
| ) | `[pure virtual]`

| This is called outside the render loop by vtkRenderer Implemented in vtkFrustumCoverageCuller.

The documentation for this class was generated from the following file:

- Rendering/vtkCuller.h